=== debian/control ===
Source: ros-humble-metavision-driver
Section: misc
Priority: optional
Maintainer: Bernd Pfrommer <bernd.pfrommer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, curl, ffmpeg, git, hdf5-tools, libavcodec-dev, libavformat-dev, libavutil-dev, libboost-all-dev, libcurl4-openssl-dev, libglew-dev, libglfw3-dev, libgtest-dev <!nocheck>, libhdf5-dev, libopencv-dev, libopenscenegraph-dev, libswscale-dev, libusb-1.0-0-dev, openscenegraph, ros-humble-ament-cmake, ros-humble-ament-cmake-auto, ros-humble-ament-cmake-clang-format <!nocheck>, ros-humble-ament-cmake-copyright <!nocheck>, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-cmake-flake8 <!nocheck>, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-pep257 <!nocheck>, ros-humble-ament-cmake-ros, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-event-camera-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-ros-environment, ros-humble-std-srvs, unzip, wget, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-metavision-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, libavcodec-dev, libavformat-dev, libavutil-dev, libboost-all-dev, libglew-dev, libglfw3-dev, libhdf5-dev, libopencv-dev, libopenscenegraph-dev, libswscale-dev, libusb-1.0-0-dev, openscenegraph, ros-humble-event-camera-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-std-srvs, ros-humble-ros-workspace
Description: ROS1 and ROS2 drivers for metavision based event cameras
